#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CDlgSettings 对话框

class CDlgSettings : public CDialog
{
	DECLARE_DYNAMIC(CDlgSettings)

public:
	CDlgSettings(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgSettings();

// 对话框数据
	enum { IDD = IDD_DIALOG_SETTINGS };

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	afx_msg void OnBnClickedRadio6();
	afx_msg void OnStnClickedStaticColor();
	afx_msg void OnBnClickedOk();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    void ShowHideWidget(int nType);
	DECLARE_MESSAGE_MAP()
private:
	int      m_nTypeObj;
	BYTE     m_byR[6];                   // 颜色R，0直线、1折线、2曲线、3三角形、4空心圆、5点
	BYTE     m_byG[6];                   // 颜色G，0直线、1折线、2曲线、3三角形、4空心圆、5点
	BYTE     m_byB[6];                   // 颜色B，0直线、1折线、2曲线、3三角形、4空心圆、5点
	BYTE     m_R;
	BYTE     m_G;
	BYTE     m_B;
	CStatic m_wndClr;
	BOOL m_bHide;
	CComboBox m_cbLineStyle;
	CSpinButtonCtrl m_spLine;
	CEdit m_edLineWidth;
	int      m_arLineWidth[5];          // 0直线、1折线、2曲线、3三角形、4空心圆
	int      m_arLineStyle[5];          // 0直线、1折线、2曲线、3三角形、4空心圆
public:
	afx_msg void OnEnChangeEditR();
	afx_msg void OnEnChangeEditG();
	afx_msg void OnEnChangeEditB();	
private:
	
public:
	CComboBox m_cbCurveStyle;
	afx_msg void OnCbnSelchangeComboLinestyle();
	afx_msg void OnCbnSelchangeComboCurve();
	afx_msg void OnEnChangeEditLinewidth();
};
